.gradient-line {
    margin: 2em 0 3em 0;
    width: 100%;
    height: 2px; /* 這裡設定線條的最大高度 */
    background: linear-gradient(to right, transparent 0%, var(--color4) 50%, transparent 100%);
    position: relative;
  }
  .gradient-line::before {
    content: '';
    position: absolute;
    top: -1px; /* 調整位置 */
    left: 0;
    width: 100%;
    height: 2px; /* 這裡設定線條的最大高度 */
    background: linear-gradient(to right, transparent 0%, var(--color4) 50%, transparent 100%);
    transform: scaleY(0.2); /* 通過縮放來調整線條粗細 */
    transform-origin: center;
  }

.about{
    width: 100%;
    height: 100%;
    max-height: 600px;
    display: flex;
}

.about-Img{
    width: 40%;
}

.about-Img img{
    height: 100%;
    max-height: 600px;
}

.about-Div{
    width: 60%;
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    align-content: center;
    padding: 5em;
    padding-left: 8em;
    padding-right: 8em;
}

.about-Div .about-Tit{
    color: var(--color5);
    font-family: 'creamfont2.0';
    font-size: 40pt;
    letter-spacing: 10px;
}

.about-Div .about-Con{
    color: var(--color7);
    font-family: 'GenSekiGothic-L';
    font-size: 16pt;
    letter-spacing: 5px;
    text-align: center;
    padding: 0 5%;
}


/* RWD */

@media screen and (max-width: 1650px) {

    .about-Div{
        padding-left: 7em;
        padding-right: 7em;
    }

    .about-Div .about-Tit{
        font-size: 35pt;
    }
    
    .about-Div .about-Con{
        font-size: 15pt;
    }

    .about {
        max-height: 770px;
    }

}


@media screen and (max-width: 1440px) {

    .about-Div .about-Tit{
        font-size: 30pt;
    }
    
    .about-Div .about-Con{
        font-size: 14pt;
    }

    .about {
        max-height: 670px;
    }
}

@media screen and (max-width: 1200px) {

    .about-Div{
        padding-left: 6em;
        padding-right: 6em;
    }

    .about-Div .about-Tit{
        font-size: 28pt;
    }
    
    .about-Div .about-Con{
        font-size: 13pt;
    }

    .about {
        max-height: 570px;
    }

}


/* 手機板切換 */

@media screen and (max-width: 992px) {

    .about-Div {
        width: 100%;
        padding-left: 5em;
        padding-right: 5em;
    }

    .gradient-line {
        margin: 2em 0 1em 0;
    }

    .about {
        flex-direction: column;
        height: auto;
        max-height: 100%;
    }

    .about-Div .about-Tit{
        font-size: 25pt;
    }
    
    .about-Div .about-Con{
        font-size: 12pt;
        padding: 1em;
        padding-top: 2em;
        padding-bottom: 2em;
    }

    .about-Img {
        width: 100%;
    }

    .about-Img img {
        height: 100%;
        max-height: 470px;
    }

}

@media screen and (max-width: 768px) {

    .about-Div {
        padding: 4em;
        padding-left: 4em;
        padding-right: 4em;
    }

    .about2{
        flex-direction: column-reverse;
    }

    .about-Div .about-Tit{
        font-size: 23pt;
    }
    
    .about-Div .about-Con{
        font-size: 11pt;
    }
}

@media screen and (max-width: 600px) {

    .about-Div{
        padding: 3em;
    }

    .about-Div .about-Tit{
        font-size: 20pt;
    }
    
    .about-Div .about-Con{
        font-size: 10pt;
    }

    .about-Img img {
        max-height: 370px;
    }
}

@media screen and (max-width: 425px) {

    .about-Div{
        padding-left: 2em;
        padding-right: 2em;
    }

    .about-Img img {
        max-height: 270px;
    }

    .about-Div .about-Tit{
        font-size: 18pt;
    }
    
}
